Skip to main content
`Ctrl`+`K`

# PCSetOptionsPrefix

Sets the prefix used for searching for all `PC` options in the database.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetOptionsPrefix(PC pc, const char prefix[])

Logically Collective

## Input Parameters

- pc - the `PC` preconditioner context

- prefix - the prefix string to prepend to all `PC` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

KSP: Linear System Solvers, `PC`, `PCSetFromOptions`, `PCAppendOptionsPrefix()`, `PCGetOptionsPrefix()`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

## Examples

src/ksp/pc/tutorials/ex4.c
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages